From: "Rui Huang" <vowstar@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: sci-electronics/verilator/
Date: Sun, 23 Feb 2020 06:55:22 +0000 (UTC) [thread overview]
Message-ID: <1582440713.03fda63eacc4df3eb7217a3e8d68dbb2c6754af7.vowstar@gentoo> (raw)
commit: 03fda63eacc4df3eb7217a3e8d68dbb2c6754af7
Author: Huang Rui <vowstar <AT> gmail <DOT> com>
AuthorDate: Sun Feb 23 06:51:23 2020 +0000
Commit: Rui Huang <vowstar <AT> gmail <DOT> com>
CommitDate: Sun Feb 23 06:51:53 2020 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=03fda63e
sci-electronics/verilator: new package 4.026
The fast free Verilog/SystemVerilog simulator
Closes: https://bugs.gentoo.org/354957
Package-Manager: Portage-2.3.89, Repoman-2.3.20
Signed-off-by: Huang Rui <vowstar <AT> gmail.com>
sci-electronics/verilator/Manifest | 1 +
sci-electronics/verilator/metadata.xml | 19 ++++++++++++
sci-electronics/verilator/verilator-4.026.ebuild | 39 ++++++++++++++++++++++++
3 files changed, 59 insertions(+)
diff --git a/sci-electronics/verilator/Manifest b/sci-electronics/verilator/Manifest
new file mode 100644
index 0000000..a3d4eef
--- /dev/null
+++ b/sci-electronics/verilator/Manifest
@@ -0,0 +1 @@
+DIST verilator-4.026.tar.gz 2404465 BLAKE2B a861c16b706a26bb0d9f879a6ac129eca29cfd36c47d044ba8297ce2f4bfbc3d6a8f68f652a0b7db0542373416e975b2266bbf1ea11b0f949c12c1c5f6706b05 SHA512 cc91c44da39b5b0256adf1d43acad22d07bcdc56636336673916a7b01d39c5fc06603b87a9d9e214497a793d1e9ff198593f915f676c99a32f0853f4b74d0527
diff --git a/sci-electronics/verilator/metadata.xml b/sci-electronics/verilator/metadata.xml
new file mode 100644
index 0000000..94cd7b4
--- /dev/null
+++ b/sci-electronics/verilator/metadata.xml
@@ -0,0 +1,19 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>vowstar@gmail.com</email>
+ <name>Huang Rui</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+ <longdescription>
+ Verilator, the fastest free Verilog HDL simulator.
+ Accepts synthesizable Verilog or SystemVerilog
+ Performs lint code-quality checks
+ Compiles into multithreaded C++, SystemC, or (soon) C++-under-Python
+ Creates XML to front-end your own tools
+ </longdescription>
+</pkgmetadata>
diff --git a/sci-electronics/verilator/verilator-4.026.ebuild b/sci-electronics/verilator/verilator-4.026.ebuild
new file mode 100644
index 0000000..80f4993
--- /dev/null
+++ b/sci-electronics/verilator/verilator-4.026.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+DESCRIPTION="The fast free Verilog/SystemVerilog simulator"
+HOMEPAGE="https://www.veripool.org/wiki/verilator"
+
+if [[ ${PV} == "9999" ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://git.veripool.org/git/${PN}"
+else
+ SRC_URI="http://www.veripool.org/ftp/${P}.tgz -> ${P}.tar.gz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sh ~sparc ~x86"
+fi
+
+LICENSE="|| ( Artistic-2 LGPL-3 )"
+SLOT="0"
+
+DEPEND="
+ dev-lang/perl
+ sys-libs/zlib
+"
+
+RDEPEND="
+ ${DEPEND}
+"
+
+BDEPEND="
+ sys-devel/bison
+ sys-devel/flex
+"
+
+src_prepare() {
+ default
+ eautoconf --force
+}
next reply other threads:[~2020-02-23 6:55 UTC|newest]
Thread overview: 71+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-02-23 6:55 Rui Huang [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-11 8:31 [gentoo-commits] repo/proj/guru:dev commit in: sci-electronics/verilator/ Rui Huang
2024-10-10 5:28 Rui Huang
2024-10-10 5:28 Rui Huang
2024-10-10 5:28 Rui Huang
2024-10-10 5:28 Rui Huang
2024-04-30 8:21 Rui Huang
2024-04-30 8:21 Rui Huang
2024-04-04 10:08 Florian Schmaus
2024-03-18 13:20 Rui Huang
2024-03-18 13:20 Rui Huang
2024-03-16 5:57 [gentoo-commits] repo/proj/guru:master " Rui Huang
2024-03-16 5:56 ` [gentoo-commits] repo/proj/guru:dev " Rui Huang
2024-03-16 5:56 Rui Huang
2023-11-15 6:53 Rui Huang
2023-11-03 9:47 Rui Huang
2023-11-03 9:47 Rui Huang
2023-08-09 6:22 Rui Huang
2023-03-31 5:18 Rui Huang
2023-03-31 5:18 Rui Huang
2023-01-31 4:22 Rui Huang
2023-01-31 4:22 Rui Huang
2023-01-31 4:22 Rui Huang
2023-01-06 8:37 Rui Huang
2023-01-06 8:37 Rui Huang
2022-11-21 7:47 Rui Huang
2022-10-25 1:26 Rui Huang
2022-10-25 1:24 Rui Huang
2022-09-06 3:10 Rui Huang
2022-09-06 3:09 Rui Huang
2022-07-08 5:00 Rui Huang
2022-07-08 5:00 Rui Huang
2022-07-08 5:00 Rui Huang
2022-07-08 5:00 Rui Huang
2022-04-01 3:24 Rui Huang
2022-04-01 3:24 Rui Huang
2022-02-15 10:51 Rui Huang
2021-07-28 2:41 Rui Huang
2021-07-12 3:24 Rui Huang
2021-07-12 3:22 Rui Huang
2021-06-28 3:51 Rui Huang
2021-04-29 10:52 Rui Huang
2021-04-05 1:50 Rui Huang
2021-04-05 1:49 Rui Huang
2021-03-10 3:52 Rui Huang
2021-03-10 3:52 Rui Huang
2021-01-21 6:39 Rui Huang
2021-01-21 6:39 Rui Huang
2021-01-01 9:55 Rui Huang
2020-12-06 11:04 Rui Huang
2020-12-06 11:04 Rui Huang
2020-11-16 10:21 Rui Huang
2020-11-16 10:21 Rui Huang
2020-10-20 6:58 Rui Huang
2020-10-20 6:54 Rui Huang
2020-09-18 9:22 Rui Huang
2020-07-24 2:19 Rui Huang
2020-06-13 13:29 Rui Huang
2020-05-14 7:47 Rui Huang
2020-05-13 13:57 Rui Huang
2020-05-12 4:00 Rui Huang
2020-05-12 4:00 Rui Huang
2020-04-27 7:46 Rui Huang
2020-04-27 7:46 Rui Huang
2020-04-26 22:39 Alessandro Barbieri
2020-04-11 14:43 Rui Huang
2020-04-07 8:01 Rui Huang
2020-04-07 7:08 Rui Huang
2020-04-07 7:06 Rui Huang
2020-03-27 12:40 [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2020-03-27 12:40 ` [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2020-03-15 11:29 Andrew Ammerlaan
2020-02-23 6:55 Rui Huang
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1582440713.03fda63eacc4df3eb7217a3e8d68dbb2c6754af7.vowstar@gentoo \
--to=vowstar@gmail.com \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox